config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/nilfs_cleanerd.conf.new

( cd usr/lib ; rm -rf libnilfsgc.so )
( cd usr/lib ; ln -sf libnilfsgc.so.0.2.0 libnilfsgc.so )
( cd usr/lib ; rm -rf libnilfscleaner.so.0 )
( cd usr/lib ; ln -sf libnilfscleaner.so.0.1.0 libnilfscleaner.so.0 )
( cd usr/lib ; rm -rf libnilfs.so.0 )
( cd usr/lib ; ln -sf libnilfs.so.0.2.4 libnilfs.so.0 )
( cd usr/lib ; rm -rf libnilfs.so )
( cd usr/lib ; ln -sf libnilfs.so.0.2.4 libnilfs.so )
( cd usr/lib ; rm -rf libnilfscleaner.so )
( cd usr/lib ; ln -sf libnilfscleaner.so.0.1.0 libnilfscleaner.so )
( cd usr/lib ; rm -rf libnilfsgc.so.0 )
( cd usr/lib ; ln -sf libnilfsgc.so.0.2.0 libnilfsgc.so.0 )
